#
# spec file for package cwdaemon
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           cwdaemon
Version:        0.13.0
Release:        1.14
License:        GPL-2.0
Group:          Productivity/Hamradio/Other
Summary:        Morse daemon for the parallel or serial port
Url:            https://github.com/acerion/cwdaemon
Source:         https://github.com/acerion/cwdaemon/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         no_example.diff
Patch1:         build_with_gcc7.diff
BuildRequires:  pkgconfig
BuildRequires:  unixcw-devel >= 3.3.1

%description
Cwdaemon is a small daemon which uses the pc parallel or serial port 
and a simple transistor switch to output morse code to a transmitter
from a text message sent to it via the udp internet protocol.

%package examples 
Summary:        Cwdaemon examples
Group:          Development/Libraries/Other
BuildArch:      noarch
Requires:       %{name} = %{version}

%description examples
In this package are three examples of how to interface cwdaemon.
You can treat them as hints about how to write an application interfacing
cwdaemon.

%prep
%setup -q
%patch -P 0 -p1
%if 0%{?suse_version} < 1600
%patch -P 1 -p1
%endif

%build
%configure
%make_build

%install
%make_install

%check

%files
%doc ChangeLog NEWS
%license COPYING
%{_sbindir}/cwdaemon
%{_mandir}/man8/cwdaemon.8.gz
%dir %{_datadir}/cwdaemon/
%{_datadir}/cwdaemon/*.jpg
%{_datadir}/cwdaemon/*.ps
%{_datadir}/cwdaemon/cwsetup.sh
%{_datadir}/cwdaemon/cwdaemon.png

%files examples
%{_datadir}/cwdaemon/Makefile.*
%{_datadir}/cwdaemon/example.*
%{_datadir}/cwdaemon/README

%changelog
* Thu Oct  3 2024 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Update to version 0.13.0
  + see NEWS for changes
- New URL and ource location
- Patch no_example.diff rebased
- Added a patch build_with_gcc7.diff removing two compile options
  not recognized by gcc-7
- Specfile cleanup and update, fixing build for Tumbleweed and Factory
* Thu Sep 22 2016 dl8fcl@darc.de
- disable build of examples
* Mon Nov 16 2015 dl8fcl@t-online.de
- update to version 0.10.2
* Mon Aug 18 2014 dl8fcl@darc.de
- update to version 0.10.1
* Mon Jan  6 2014 dl8fcl@darc.de
- BuildRequires updated to unixcw-devel >= 3.2.0
* Mon Sep 23 2013 dl8fcl@darc.de
- update to version 0.9.7
* Sat Oct  4 2008 dl8fcl@darc.de
- updated for openSUSE_Factory
  * Sat Jan 18 2003 Joop Stakenborg
- Initial spec file
